<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  class app_site {

    public static function header() {
      global $nobuffer;
      global $action;
      global $debug;

      session_start();

      if (!isset($nobuffer)) {
        ob_start();
      } else {
        if ($nobuffer <> true) {
          ob_start();
        }
      }

      if (isset($_REQUEST["action"])) {
        $action = $_REQUEST["action"];
      }

      if (isset($_REQUEST["debug"])) {
        $debug = true;
      }

      $headers = getallheaders();

      define("LB", "<br />");


    }

    /**
    * Get Page
    *
    * @return app_page
    */
    public static function getpage() {
      static $page;

      if (is_null($page)) {
        $page = new app_page();
      }

      return $page;
    }

    public static function needauth() {
      if (isset($_SESSION['user'])) {
        if ($_SESSION['user']->isLoaded()) {
          return true;
        } else {
          header("location: login.php");
          exit();
        }
      } else {
        $_SESSION['user'] = new app_user();
        header("location: login.php");
        exit();
      }
    }
  }
?>
