<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  class app_page {
    private $livesite = false;

    function before($vartitle = null, $extraheader = null) {

      global $cfg;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<?php
  if (!is_null($vartitle)) {
?>
<title><?php echo $vartitle; ?></title>
<?php
  } else {
?>
<title><?php echo $cfg["title"]; ?></title>
<?php
  }
?>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php
  if (!is_null($extraheader)) {
    echo $extraheader;
  }
?>
<link type="text/css" rel="stylesheet" media="all" href="<?php echo $cfg['webaddressparts']['path']; ?>_css/default.css" />
</head>
<body>
<div id="header">
  <h1>LJ Google Search Rank Tool</h1>
  <div id="topmenuleft">
    <a href="<?php echo $cfg['webaddressparts']['path']; ?>">Home</a> &middot;
    <a href="<?php echo $cfg['webaddressparts']['path']; ?>onceoff.php">Once Off Check</a> &middot;
    <a href="<?php echo $cfg['webaddressparts']['path']; ?>cron.php?fromsite=y">Run Update Now</a> &middot;
    <a href="<?php echo $cfg['webaddressparts']['path']; ?>changepass.php">Change Password</a> &middot;
    <a href="<?php echo $cfg['webaddressparts']['path']; ?>logoff.php">Log Off</a>
  </div><!-- End topmenuleft -->
  <div id="topmenuright">
    <span class="littletext">Ver 0.1 Rev 19</span>
  </div><!-- End topmenuright -->
  <div id="clear"></div>
</div><!-- End header -->
<hr />
<?php
    }

    function after() {
      global $cfg;
?>
</body></html>
<?php
    }
  }
?>