<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  include_once("_lib/sdk/autoload.php");

  app_site::header();
  app_site::needauth();
  
  $page = app_site::getpage();
  
  $page->before();
?>
<h1>Change Password</h1>
<h2>User: <?php echo $_SESSION["user"]->getusername(); ?></h2>
<?php
  if ($action == "do") {
    if ($_REQUEST["newpass1"] <> $_REQUEST["newpass2"]) {
      echo "<h3 class='warningtext'>New passwords dont match</h3>";
    } else {
      $ok = $_SESSION["user"]->changepassword($_REQUEST["oldpass"], $_REQUEST["newpass1"]);
      
      if ($ok) {
        echo "<h3 class='warningtext'>Password changed ok</h3>";
      } else {
        echo "<h3 class='warningtext'>ERROR! Password NOT changed</h3>";
      } 
    }
  }
?>
<p><form action="changepass.php" method="post">
<label for="oldpass">Old Password:</label> <input type="password" name="oldpass" id="oldpass" /><br />
<label for="newpass1">New Password:</label> <input type="password" name="newpass1" id="newpass1" /><br />
<label for="newpass2">New Password Again:</label> <input type="password" name="newpass2" id="newpass2" /><br />
<input type="submit" value="Submit" />
<input type="hidden" name="action" value="do" />
</form></p>
<?php
  $page->after();  
?>
