<?php
/*
    Copyright (C) 2009  Jon Smith <smithj@thelazysysadmin.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

  include_once("_lib/sdk/autoload.php");

  app_site::header();
  
  $page = app_site::getpage();

  if (isset($_REQUEST["username"])) {
    $_SESSION['user'] = new app_user();
    $ok = $_SESSION['user']->login($_REQUEST["username"], $_REQUEST["password"]); 
    if ($ok) {
      header("location: index.php");
      exit(); 
    }
  }
  
  $page->before("Site Login");
?>
<h2>Login</h2>
<form action="login.php" method="post">
<label for="username">Username:</label> <input type="text" name="username" id="username" /><br />
<label for="password">Password:</label> <input type="password" name="password" id="password" /><br />
<input type="submit" value="Login" />
</form>
<?php
  $page->after();
?>